::--------------------------------------------------
:: Defines global environmental variables.
::
:: WARNING: when set the variables below, DO NOT DO A BLANK ASSIGNMENT like set someVar=
:: if someVar is not currently an environmental variable, since in dos that will set errorlevel to 1
::--------------------------------------------------


::----------suppress echo


@echo off


::----------external resource variables


::set webcabDir="C:\Progra~1\Portfolio5.0-J2SE"


::----------project variables


set rootDir=..
set classDir=%rootDir%\class
set docDir=%rootDir%\doc
set libDir=%rootDir%\lib
set scriptDir=%rootDir%\script
set srcDir=%rootDir%\src

set classPath=%classDir%
set classPath=%classPath%;%libDir%\bb.jar
set classPath=%classPath%;%libDir%\jsci-core.jar
set classPath=%classPath%;%libDir%\mt-13.jar
::set classPath=%classPath%;%webcabDir%\Deployment\PortfolioJ2SE.jar
::set classPath=%classPath%;%webcabDir%\Client\QAClients\QALibrary.jar


::----------BuildTool variables


:: set if is currently unset; otherwise keep current value; this allows user to change it on the command line
if not "%btOutputLevel%"=="" goto endIf
	::set btOutputLevel=-quiet
	set btOutputLevel=-verbose
:endIf

set bt=java  -jar bt.jar

set shell=cmd /c
::--------------------CRITICAL: /c causes cmd to return after done executing the command; if leave off, would hang indefinitely

set btexec=%bt%  %btOutputLevel%  -exec  %shell%
